%define major 3
%define libname %mklibname gle %major

Summary:  GLE Tubing and Extrusion Library
Name: gle
Version: 3.1.0
Release: 4mdk
License: GPL
Group: System/Libraries
Source: gle-%{version}.tar.bz2
URL: http://sourceforge.net/projects/gle
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: libMesaGLU-devel >= 4.0.1
BuildRequires: libMesaglut-devel >= 4.0.1
BuildRequires: XFree86-devel

%description
GLE is a library package of C functions that draw extruded surfaces,
including surfaces of revolution, sweeps, tubes, polycones,
polycylinders and helicoids.  Generically, the extruded surface is
specified with a 2D polyline that is extruded along a 3D path.  A
local coordinate system allows for additional flexibility in the
primitives drawn.  Extrusions may be texture mapped in a variety of
ways.  The GLE library generates 3D triangle coordinates, lighting
normal vectors and texture coordinates as output. GLE uses the GL or
OpenGL API's to perform the actual rendering.

%package -n %libname
Summary:     	GLE shared library
Group: 		System/Libraries

%description -n %libname
GLE is a library package of C functions that draw extruded surfaces,
including surfaces of revolution, sweeps, tubes, polycones,
polycylinders and helicoids.  Generically, the extruded surface is
specified with a 2D polyline that is extruded along a 3D path.  A
local coordinate system allows for additional flexibility in the
primitives drawn.  Extrusions may be texture mapped in a variety of
ways.  The GLE library generates 3D triangle coordinates, lighting
normal vectors and texture coordinates as output. GLE uses the GL or
OpenGL API's to perform the actual rendering.

The shared library needed by GLE applications.

%package -n %libname-devel
Summary:        Devel files for GLE
Group:          Development/C
Requires:	%libname = %version
Provides:	libgle-devel = %version
Provides:	gle-devel = %version
%description -n %libname-devel
GLE is a library package of C functions that draw extruded surfaces,
including surfaces of revolution, sweeps, tubes, polycones,
polycylinders and helicoids.  Generically, the extruded surface is
specified with a 2D polyline that is extruded along a 3D path.  A
local coordinate system allows for additional flexibility in the
primitives drawn.  Extrusions may be texture mapped in a variety of
ways.  The GLE library generates 3D triangle coordinates, lighting
normal vectors and texture coordinates as output. GLE uses the GL or
OpenGL API's to perform the actual rendering.

The static library and headers needed for developing GLE applications.

%prep
%setup -q 
find examples -name .cvsignore -exec rm {} \;

%build
./configure --prefix=%_prefix/X11R6 --libdir=%_prefix/X11R6/%_lib
%make

%install
rm -rf $RPM_BUILD_ROOT installed-docs
%makeinstall_std
mv %buildroot%_prefix/X11R6/share/doc/gle installed-docs

cd examples
make clean

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %libname -p /sbin/ldconfig
%postun -n %libname -p /sbin/ldconfig

%files -n %libname
%defattr(-, root, root)
%doc README NEWS COPYING AUTHORS
%_prefix/X11R6/%_lib/libgle.so.*

%files -n %libname-devel
%defattr(-, root, root)
%doc ChangeLog src/COPYING.src src/README.gutil examples installed-docs
%_prefix/X11R6/%_lib/libgle.so
%_prefix/X11R6/%_lib/libgle.la
%_prefix/X11R6/%_lib/libgle.a
%_prefix/X11R6/include/GL/*
%_prefix/X11R6/man/man3/*

%changelog
* Fri May 20 2005 Gtz Waschk <waschk@mandriva.org> 3.1.0-4mdk
- spec fixes

* Thu May 13 2004 Gtz Waschk <waschk@linux-mandrake.com> 3.1.0-3mdk
- lib64 & deps fixes

* Thu Jul 10 2003 Gtz Waschk <waschk@linux-mandrake.com> 3.1.0-2mdk
- rebuild for new rpm

* Wed Mar 12 2003 Gtz Waschk <waschk@linux-mandrake.com> 3.0.7-4mdk
- fix buildrequires

* Tue Mar 11 2003 Gtz Waschk <waschk@linux-mandrake.com> 3.0.7-3mdk
- fix rpmlint errors
- mklibname macro

* Fri Dec 27 2002 Gtz Waschk <waschk@linux-mandrake.com> 3.0.7-2mdk
- fix installation: clean unpackaged files  

* Wed Jan 30 2002 Gtz Waschk <waschk@linux-mandrake.com> 3.0.7-1mdk
- initial Mandrake package

